Skip to main content
GET
/
proxy
/
{id}
Find proxy by id
curl --request GET \
  --url https://api.gologin.com/proxy/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.gologin.com/proxy/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.gologin.com/proxy/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_id": "<string>",
  "id": "<string>",
  "mode": {},
  "host": "<string>",
  "port": 123,
  "username": "<string>",
  "password": "<string>",
  "lastIp": "<string>",
  "changeIpUrl": "<string>",
  "profiles": [
    "<string>"
  ],
  "profilesCount": 123,
  "customName": "<string>",
  "status": true,
  "country": "<string>",
  "defaultCountry": "<string>",
  "city": "<string>",
  "checkDate": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "timezone": "<string>",
  "languages": "<string>",
  "connectionType": {},
  "notes": "<string>",
  "isRestoredByOwner": true,
  "isStatic": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

id of the proxy.

Response

200 - application/json
_id
string
required
deprecated
id
string
required
mode
object
required
host
string
required
port
number
required
username
string
password
string
lastIp
string
changeIpUrl
string
profiles
string[]
profilesCount
number
customName
string
status
boolean
country
string
defaultCountry
string
city
string
checkDate
string<date-time>
createdAt
string<date-time>
timezone
string
languages
string
connectionType
object
notes
string
isRestoredByOwner
boolean
isStatic
boolean